follow the changes done for other modules such as glib, pango and gtk+:

2004-03-04  Sven Neumann  <sven@gimp.org>

	* autogen.sh: follow the changes done for other modules such as
	glib, pango and gtk+:

	- exit with $? instead of 1 in case of failure
	- exit with $? if ./configure failed
	- removed --enable-gtk-doc option
	- added $AUTOGEN_CONFIGURE_ARGS

	* HACKING: document the new behaviour.
This commit is contained in:
Sven Neumann 2004-03-04 14:47:37 +00:00 committed by Sven Neumann
parent ba265516a1
commit c224df0449
3 changed files with 30 additions and 18 deletions

View File

@ -1,3 +1,15 @@
2004-03-04 Sven Neumann <sven@gimp.org>
* autogen.sh: follow the changes done for other modules such as
glib, pango and gtk+:
- exit with $? instead of 1 in case of failure
- exit with $? if ./configure failed
- removed --enable-gtk-doc option
- added $AUTOGEN_CONFIGURE_ARGS
* HACKING: document the new behaviour.
2004-03-04 Michael Natterer <mitch@gimp.org>
* app/config/gimpcoreconfig.[ch]

13
HACKING
View File

@ -7,7 +7,7 @@ to have the following packages (or newer versions) installed:
- ftp://ftp.gnu.org/gnu/autoconf/
* GNU automake 1.7 (1.8 and 1.6 will also work)
- ftp://ftp.gnu.org/gnu/automake/
* GNU libtool 1.3.4 (1.5.0 if you are compiling on Win32)
* GNU libtool 1.4 (1.5 if you are compiling on Win32)
- ftp://ftp.gnu.org/gnu/libtool/
Fine GNU mirrors are listed at http://www.gnu.org/prep/ftp.html
@ -51,12 +51,11 @@ Note that autogen.sh runs configure for you. If you wish to pass
options like --prefix=/usr to configure you can give those options to
autogen.sh and they will be passed on to configure.
autogen.sh by default passes --enable-gtk-doc to configure in order to
enable the creation of the GIMP API reference manuals in the devel-docs
directory. You will need a recent version of gtk-doc as well as a
working setup for handling DocBook XML. If you run into any problems
here, you can disable creation of the docs by passing --disable-gtk-doc
to autogen.sh.
If AUTOGEN_CONFIGURE_ARGS is set, these options will also be passed to
the configure script. If for example you want to enable the build of
the GIMP API reference manuals, you can set AUTOGEN_CONFIGURE_ARGS to
"--enable-gtk-doc". Please note that you will then need a recent
version of gtk-doc as well as a working setup for handling DocBook/XML.
CVS

View File

@ -180,28 +180,29 @@ $ACLOCAL $ACLOCAL_FLAGS
RC=$?
if test $RC -ne 0; then
echo "$ACLOCAL gave errors. Please fix the error conditions and try again."
exit 1
exit $RC
fi
libtoolize --force || exit 1
libtoolize --force || exit $?
# optionally feature autoheader
(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader || exit 1
$AUTOMAKE --add-missing || exit 1
autoconf || exit 1
$AUTOMAKE --add-missing || exit $?
autoconf || exit $?
glib-gettextize --copy --force || exit 1
intltoolize --copy --force --automake || exit 1
glib-gettextize --copy --force || exit $?
intltoolize --copy --force --automake || exit $?
cd $ORIGDIR
if $srcdir/configure --enable-maintainer-mode --enable-gtk-doc "$@"; then
echo
echo "Now type 'make' to compile $PROJECT."
else
$srcdir/configure --enable-maintainer-mode $AUTOGEN_CONFIGURE_ARGS "$@"
RC=$?
if test $RC -ne 0; then
echo
echo "Configure failed or did not finish!"
exit 1
exit $RC
fi
echo
echo "Now type 'make' to compile $PROJECT."